@use "colors";

.menu-icon {
    width: 40px;
    height: 25px;
    position: relative;
    cursor: pointer;
    display: inline-block;
    vertical-align: top;

    .line {
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        height: 2px;
        background: colors.$content-black;
        transition: 0.3s;

        &.line-1 {
            transition: all 0.3s 0.3s, transform 0.3s 0s;
        }

        &.line-2 {
            top: 50%;
            margin-top: -1px;
            left: 0;
            transition: all 0.3s 0.3s;
        }

        &.line-3 {
            bottom: 0;
            top: auto;
            left: 0;
            transition: all 0.3s 0.3s, transform 0.3s 0s;
        }
    }

    &.active {
        .line-1 {
            top: 50%;
            margin-top: -1px;
            transform: rotate(45deg);
            transition: all 0.3s, transform 0.3s 0.3s;
        }

        .line-2 {
            opacity: 0;
            transition: all 0.3s, opacity 0.3s 0s;
        }

        .line-3 {
            bottom: 50%;
            margin-bottom: -1px;
            transform: rotate(-45deg);
            transition: all 0.3s, transform 0.3s 0.3s;
        }

    }
}